jv.project

## Class PaApplet

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - java.applet.Applet
        - - jv.project.PaApplet

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, javax.accessibility.Accessible
  Direct Known Subclasses:
    PaAvlTree, PaCatenoid, PaClosedPoly, PaComplexFunction, PaConformal, PaConjugate, PaCurvature, PaCurve, PaCycloid, PaDeCasteljau, PaElasticCurve, PaEllipse, PaEventCamera, PaExprOde, PaGeodesic, PaGeodesicFlow, PaHarmonic, PaHeight, PaHelicoid, PaHodge, PaJuliaSet, PaKeyframe, PaKleinBottle, PaLantern, PaLIC, PaLife, PaLinear, PaLoader, PaLSystem, PaMarchingCubes, PaMaxPrinciple, PaMinesweeper, PaModel, PaParmCurve, PaParmSurface, PaPickEvent, PaPlatonic, PaPointCloud, PaPolygonSet, PaPythagoreanTree, PaRivara, PaRootFinder, PaRotation, PaRuler, PaRungeKutta, PaSeeds, PaSizeEdge, PaSizePolygon, PaSizeVertex, PaSlider, PaSmooth, PaSnake, PaSubdivisionCurve, PaSurface, PaSurfCurve, PaTetraSet, PaTextureCube, PaTexturedSurface, PaTorusKnot, PaTransform, PaTranslation, PaVectorField, PaWeierstrass, PaZigZag, PsApplet

      public abstract class PaApplet
      extends java.applet.Applet
      implements java.lang.Runnable

  Base class for JavaView application applets.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    07.11.16, 1.00 revised (kp) Moved to jv.project from vgp.object.
    23.10.16, 1.10 revised (kp) Main method adjusted to hdpi handling.
    02.09.07, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaApplet()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Does clean-up when applet is destroyed by the browser.
    `void` | `drawMessage(java.lang.String message)` Set message string to be drawn in applet while loading.
    `abstract java.lang.String` | `getAppletInfo()` Interface of applet to inform about author, version, and copyright
    `PvDisplayIf` | `getDisplay()` Get main display.
    `abstract PjProject` | `getProject()` Return a new allocated project instance.
    `java.awt.Rectangle` | `getSizeOfFrame()` Return a new allocated project instance.
    `PvViewerIf` | `getViewer()` Get viewer manager.
    `void` | `init()` Create thread that configures and initializes the viewer, loads system and user projects.
    `static void` | `main(PaApplet va, java.lang.String[] args)` Standalone application support.
    `void` | `paint(java.awt.Graphics g)` Print info while initializing applet and viewer.
    `void` | `run()` Configure and initialize the viewer, load system and user projects.
    `void` | `startFromThread()` Start viewer, e.g. start animation if requested.
    `void` | `stop()` Stop viewer, e.g. stop animation if requested

    - ### Methods inherited from class java.applet.Applet

      `getAccessibleContext, getAppletContext, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, isValidateRoot, newAudioClip, play, play, resize, resize, setStub, showStatus, start`

    - ### Methods inherited from class java.awt.Panel

      `addNotify`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PaApplet

          public PaApplet()

  - ### Method Detail

    - #### getAppletInfo

          public abstract java.lang.String getAppletInfo()

      Interface of applet to inform about author, version, and copyright
      Overrides:
        `getAppletInfo` in class `java.applet.Applet`

    - #### getProject

          public abstract PjProject getProject()

      Return a new allocated project instance.

    - #### getSizeOfFrame

          public java.awt.Rectangle getSizeOfFrame()

      Return a new allocated project instance.

    - #### init

          public void init()

      Create thread that configures and initializes the viewer, loads system and user projects.
      Overrides:
        `init` in class `java.applet.Applet`

    - #### run

          public void run()

      Configure and initialize the viewer, load system and user projects. One of the user projects may be selected here.
      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### main

          public static void main(PaApplet va,
                                  java.lang.String[] args)

      Standalone application support. The main() method acts as the applet's entry point when it is run as a standalone application. It is ignored if the applet is run from within an HTML page.
      Version:
        24.03.11, 2.00 revised (kp) Set bounds of frame already before applet is initialized.

    - #### getViewer

          public PvViewerIf getViewer()

      Get viewer manager.

    - #### getDisplay

          public PvDisplayIf getDisplay()

      Get main display.

    - #### drawMessage

          public void drawMessage(java.lang.String message)

      Set message string to be drawn in applet while loading.

    - #### paint

          public void paint(java.awt.Graphics g)

      Print info while initializing applet and viewer.
      Overrides:
        `paint` in class `java.awt.Container`

    - #### destroy

          public void destroy()

      Does clean-up when applet is destroyed by the browser. Here we just close and dispose all our control windows.
      Overrides:
        `destroy` in class `java.applet.Applet`

    - #### stop

          public void stop()

      Stop viewer, e.g. stop animation if requested
      Overrides:
        `stop` in class `java.applet.Applet`

    - #### startFromThread

          public void startFromThread()

      Start viewer, e.g. start animation if requested. Necessary, if initialization is done in a separate thread. In this case the original applet.start() has no effect.

"

The software JavaView? is copyright protected. All Rights Reserved.
"